import { NgtrBallArgs, NgtrCapsuleArgs, NgtrConeArgs, NgtrConvexHullArgs, NgtrConvexMeshArgs, NgtrCuboidArgs, NgtrCylinderArgs, NgtrHeightfieldArgs, NgtrPolylineArgs, NgtrRoundConeArgs, NgtrRoundConvexHullArgs, NgtrRoundConvexMeshArgs, NgtrRoundCuboidArgs, NgtrRoundCylinderArgs, NgtrTrimeshArgs } from './types';
import * as i0 from "@angular/core";
import * as i1 from "./rigid-body";
export declare class NgtrCuboidCollider {
    args: import("@angular/core").InputSignal<NgtrCuboidArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrCuboidCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrCuboidCollider, "ngt-object3D[ngtrCuboidCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrCapsuleCollider {
    args: import("@angular/core").InputSignal<NgtrCapsuleArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrCapsuleCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrCapsuleCollider, "ngt-object3D[ngtrCapsuleCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrBallCollider {
    args: import("@angular/core").InputSignal<NgtrBallArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrBallCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrBallCollider, "ngt-object3D[ngtrBallCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrConvexHullCollider {
    args: import("@angular/core").InputSignal<NgtrConvexHullArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrConvexHullCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrConvexHullCollider, "ngt-object3D[ngtrConvexHullCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrHeightfieldCollider {
    args: import("@angular/core").InputSignal<NgtrHeightfieldArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrHeightfieldCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrHeightfieldCollider, "ngt-object3D[ngtrHeightfieldCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrTrimeshCollider {
    args: import("@angular/core").InputSignal<NgtrTrimeshArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrTrimeshCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrTrimeshCollider, "ngt-object3D[ngtrTrimeshCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrPolylineCollider {
    args: import("@angular/core").InputSignal<NgtrPolylineArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrPolylineCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrPolylineCollider, "ngt-object3D[ngtrPolylineCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrRoundCuboidCollider {
    args: import("@angular/core").InputSignal<NgtrRoundCuboidArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrRoundCuboidCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrRoundCuboidCollider, "ngt-object3D[ngtrRoundCuboidCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrCylinderCollider {
    args: import("@angular/core").InputSignal<NgtrCylinderArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrCylinderCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrCylinderCollider, "ngt-object3D[ngtrCylinderCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrRoundCylinderCollider {
    args: import("@angular/core").InputSignal<NgtrRoundCylinderArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrRoundCylinderCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrRoundCylinderCollider, "ngt-object3D[ngtrRoundCylinderCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrConeCollider {
    args: import("@angular/core").InputSignal<NgtrConeArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrConeCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrConeCollider, "ngt-object3D[ngtrConeCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrRoundConeCollider {
    args: import("@angular/core").InputSignal<NgtrRoundConeArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrRoundConeCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrRoundConeCollider, "ngt-object3D[ngtrRoundConeCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrConvexMeshCollider {
    args: import("@angular/core").InputSignal<NgtrConvexMeshArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrConvexMeshCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrConvexMeshCollider, "ngt-object3D[ngtrConvexMeshCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrRoundConvexHullCollider {
    args: import("@angular/core").InputSignal<NgtrRoundConvexHullArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrRoundConvexHullCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrRoundConvexHullCollider, "ngt-object3D[ngtrRoundConvexHullCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
export declare class NgtrRoundConvexMeshCollider {
    args: import("@angular/core").InputSignal<NgtrRoundConvexMeshArgs>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrRoundConvexMeshCollider, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<NgtrRoundConvexMeshCollider, "ngt-object3D[ngtrRoundConvexMeshCollider]", never, { "args": { "alias": "args"; "required": true; "isSignal": true; }; }, {}, never, never, true, [{ directive: typeof i1.NgtrAnyCollider; inputs: { "options": "options"; "name": "name"; "scale": "scale"; "position": "position"; "quaternion": "quaternion"; "rotation": "rotation"; "userData": "userData"; }; outputs: { "collisionEnter": "collisionEnter"; "collisionExit": "collisionExit"; "intersectionEnter": "intersectionEnter"; "intersectionExit": "intersectionExit"; "contactForce": "contactForce"; }; }]>;
}
