import { ElementRef } from '@angular/core';
import { Object3D } from 'three';
import { NgtrRigidBodyAutoCollider } from './types';
import * as i0 from "@angular/core";
export declare class NgtrMeshCollider {
    colliders: import("@angular/core").InputSignal<NgtrRigidBodyAutoCollider>;
    objectRef: ElementRef<Object3D<import("three").Object3DEventMap>>;
    private rigidBody;
    protected childColliderOptions: import("@angular/core").Signal<{
        colliderOptions: import("angular-three-rapier").NgtrColliderOptions;
        args: unknown[];
        shape: import("angular-three-rapier").NgtrColliderShape;
        rotation: import("angular-three").NgtEuler;
        position: import("angular-three").NgtVector3;
        scale: import("angular-three").NgtVector3;
    }[]>;
    constructor();
    static ɵfac: i0.ɵɵFactoryDeclaration<NgtrMeshCollider, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgtrMeshCollider, "ngt-object3D[ngtrMeshCollider]", never, { "colliders": { "alias": "ngtrMeshCollider"; "required": true; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
